Ticket #44232

Zlibのバージョン更新

Open Date: 2022-03-31 11:44 Last Update: 2022-05-07 11:47

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

Zlib 1.2.12が出ているので更新する。

1.2.11までにはクラッシュするバグが有るらしいが、ttsshに影響が有るかは未確認。

ただし影響が有るとしても、圧縮有効時にサーバ側から悪意の有るデータが送られた時のみだから緊急性は無さそう。

Ticket History (3/5 Histories)

2022-03-31 11:44 Updated by: doda
  • New Ticket "Zlibのバージョン更新" created
2022-04-04 17:41 Updated by: nmaya
Comment

ChangeLog の sha256 は 66a955bd457c93d490c13b82f283b5507972fe50bcd8d9d6dd821ab57f187c2d で合っているでしょうか?

2022-04-04 18:28 Updated by: doda
Comment

私の方でダウンロードしたのも 66a955bd457c93d490c13b82f283b5507972fe50bcd8d9d6dd821ab57f187c2d で一致しました。

2022-04-04 20:42 Updated by: nmaya
  • Resolution Update from None to Fixed
Comment

4-stable r9846, trunk r9847 で対応

2022-05-07 11:47 Updated by: nmaya
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login